local padding = 10
local col_width = 300
local dropdown_w = 150

wl.ui.MapView():create_child({
   widget   = "window",
   name     = "set_marker_window",
   title    = _("Place markers"),
   x        = 0,
   y        = 0,
   content  = {
      widget      = "box",
      name        = "main_box",
      orientation = "vertical",
      spacing     = 10,
      children    = {
         {widget="space", value=2},
         {
            widget      = "box",
            name        = "dropdown_box_x",
            orientation = "horizontal",
            resizing    = "fullsize",
            children    = {
               {
                  widget = "dropdown",
                  name   = "dropdown",
                  label  = "",
                  icon = "images/ui_basic/scrollbar_down.png",
                  button_dimension = 24,
                  button_style = "secondary",
                  type   = "pictorial_menu",
                  datatype = "string",
                  max_list_items = 3,
                  entries = {
                     {
                        label = "1. entry",
                        value = 1,
                        select = true,
                        --icon = "images/ui_basic/scrollbar_down.png"
                     },
                     {
                        label = "2. entry",
                        value = 2,
                        select = false,
                        --icon = "images/ui_basic/scrollbar_down.png"
                     },
                     {
                        label = "3. entry",
                        value = 3,
                        select = false,
                        --icon = "images/ui_basic/scrollbar_down.png"
                     },
                  },
               },
               {
                  widget = "editbox",
                  name   = "dropd_x_header",
                  w      = dropdown_w,
                  text   = "",
                  font   = "label_wui",
               },
            }
         }
      }
   }
})

